com.ibm.openpages.api.security

## Interface ISecurityPrincipal

- All Known Subinterfaces:
    IGroup, IUser

      public interface ISecurityPrincipal

  Interface for security principals (i.e. users or groups).

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `disable()` Disables security principal.
    `void` | `enable()` Enables security principal.
    `java.util.List<IAdminPermission>` | `getAdminPermissions()` Retrieves the administrative permissions for a security principal.
    `java.util.Date` | `getCreatedOn()` Returns creation date.
    `Id` | `getId()` Returns the Id for a security principal.
    `java.util.Locale` | `getLocale()` Returns locale information associated with the security principal.
    `java.lang.String` | `getName()` Returns the security principal name.
    `java.util.List<Id>` | `getPermissionIds()` Returns a list of Id for application permissions.
    `java.util.Iterator<IApplicationPermission>` | `getPermissions()` Returns an iterator on application permissions.
    `boolean` | `isDeleted()` Verifies if security principal is deleted.
    `boolean` | `isEditable()` Verifies if security principal is editable.
    `boolean` | `isEnabled()` Verifies if security principal is enabled.
    `boolean` | `isHidden()` Verifies if security principal is hidden.
    `void` | `revokeAdminPermissions(java.util.List<Id> adminPermissionIds)` Revokes list of administrative permissions associated to security principal.
    `void` | `setName(java.lang.String newName)` Sets the name of the security principal.

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the security principal name.
      Returns:
        name of the security principal

    - #### setName

          void setName(java.lang.String newName)

      Sets the name of the security principal.
      Parameters:
        `newName` - new name for the security principal

    - #### getAdminPermissions

          java.util.List<IAdminPermission> getAdminPermissions()

      Retrieves the administrative permissions for a security principal.
      Returns:
        List the list of administrative permission

    - #### enable

          void enable()

      Enables security principal.

    - #### disable

          void disable()

      Disables security principal.

    - #### isEnabled

          boolean isEnabled()

      Verifies if security principal is enabled.
      Returns:
        true if security principal is enabled; otherwise, returns false

    - #### isDeleted

          boolean isDeleted()

      Verifies if security principal is deleted.
      Returns:
        true if security principal is deleted; otherwise, returns false

    - #### isHidden

          boolean isHidden()

      Verifies if security principal is hidden.
      Returns:
        true if security principal is hidden; otherwise, returns false

    - #### isEditable

          boolean isEditable()

      Verifies if security principal is editable.
      Returns:
        true if security principal is editable; otherwise, returns false

    - #### getCreatedOn

          java.util.Date getCreatedOn()

      Returns creation date.
      Returns:
        date when the security principal was created

    - #### getLocale

          java.util.Locale getLocale()

      Returns locale information associated with the security principal.
      Returns:
        security principal locale information

    - #### revokeAdminPermissions

          void revokeAdminPermissions(java.util.List<Id> adminPermissionIds)

      Revokes list of administrative permissions associated to security principal.
      Parameters:
        `List` - the list of administrative permission ids

    - #### getId

          Id getId()

      Returns the Id for a security principal.
      Returns:
        Id

    - #### getPermissionIds

          java.util.List<Id> getPermissionIds()

      Returns a list of Id for application permissions.
      Returns:
        List

    - #### getPermissions

          java.util.Iterator<IApplicationPermission> getPermissions()

      Returns an iterator on application permissions.
      Returns:
        Iterator

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.